<script setup>
const { t } = useI18n();

const zoom = ref(100);

const calendar = ref([
  {
    day: t('pages.contact.calendar.days.0'),
    hours: [],
  },
  {
    day: t('pages.contact.calendar.days.1'),
    hours: [
      ['9h00', '12h30'],
      ['14h00', '17h30'],
    ],
  },
  {
    day: t('pages.contact.calendar.days.2'),
    hours: [],
  },
  {
    day: t('pages.contact.calendar.days.3'),
    hours: [['9h00', '12h30']],
  },
  {
    day: t('pages.contact.calendar.days.4'),
    hours: [
      ['9h00', '12h30'],
      ['14h00', '17h30'],
    ],
  },
  {
    day: t('pages.contact.calendar.days.5'),
    hours: [
      ['10h00', '12h30'],
      ['14h00', '17h30'],
    ],
  },
  {
    day: t('pages.contact.calendar.days.6'),
    hours: [],
  },
]);
</script>

<template>
  <div
    class="flex-1 bg-no-repeat bg-top bg-cover bg-[url('/images/contact/background.svg')]"
  >
    <div class="container mx-auto">
      <div class="flex flex-col lg:flex-row">
        <div class="h-full lg:min-w-[500px]">
          <div
            class="min-h-[290px] lg:min-h-[420px] bg-no-repeat bg-right bg-cover bg-[url('/images/contact/flyer.svg')]"
          />

          <div class="h-[420px] w-full hidden lg:block">
            <LMap
              ref="map"
              :zoom="zoom"
              :center="[45.90858, 6.14536]"
              :use-global-leaflet="false"
            >
              <LTileLayer
                url="https://{s}.tile.openstreetmap.org/{z}/{x}/{y}.png"
                attribution='&amp;copy; <a href="https://www.openstreetmap.org/">OpenStreetMap</a> contributors'
                layer-type="base"
                name="OpenStreetMap"
              />
              <LMarker :lat-lng="[45.90853, 6.14538]" />
            </LMap>
          </div>
        </div>

        <div class="flex flex-col w-full py-8 px-4">
          <TitleQuote quote-left>{{
            $t('pages.contact.intro.title')
          }}</TitleQuote>

          <div class="mb-8">
            <p>{{ $t('pages.contact.intro.details.address') }}</p>

            <p>
              <a href="tel:+33624472158" class="hover:underline">
                {{ $t('pages.contact.intro.details.tel') }}
              </a>
            </p>

            <p>
              <a href="mailto:contact@lautre-scene.fr" class="hover:underline">
                {{ $t('pages.contact.intro.details.mail') }}
              </a>
            </p>
          </div>

          <div class="flex flex-col mb-8">
            <div
              class="bg-white rounded-full shadow px-4 py-1 mb-8 mx-auto dark:bg-las-d-prune"
            >
              <a
                class="inline-flex flex-wrap hover:underline"
                href="https://chat.lautre-scene.fr"
                target="_blank"
              >
                {{ $t('pages.contact.intro.mattermost') }}
                <img
                  class="ml-2 shrink-0"
                  src="/images/contact/mattermost.svg"
                  alt="Mattermost"
                />
              </a>
            </div>

            <div class="flex mx-auto">
              <a
                href="https://www.linkedin.com/company/l-autre-scene"
                target="_blank"
                class="hover:opacity-75"
              >
                <img src="/images/linkedin.svg" alt="Linkedin" />
              </a>

              <a
                href="https://www.instagram.com/lautre.scene.annecy/"
                target="_blank"
                class="mx-4 hover:opacity-75"
              >
                <img src="/images/instagram.svg" alt="Instagram" />
              </a>

              <a
                href="https://www.facebook.com/LAutre.Scene.Annecy/"
                target="_blank"
                class="hover:opacity-75"
              >
                <img src="/images/facebook.svg" alt="Facebook" />
              </a>
            </div>
          </div>

          <div class="mb-8">
            <p class="mb-8">{{ $t('pages.contact.calendar.title') }}</p>

            <ContactCalendar :calendar="calendar" />
          </div>

          <div class="mb-8">
            <p class="mb-8">{{ $t('pages.contact.form.title') }}</p>

            <ContactEmailForm />
          </div>

          <div class="h-[420px] w-full lg:hidden">
            <LMap
              ref="map"
              :zoom="zoom"
              :center="[45.90858, 6.14536]"
              :use-global-leaflet="false"
            >
              <LTileLayer
                url="https://{s}.tile.openstreetmap.org/{z}/{x}/{y}.png"
                attribution='&amp;copy; <a href="https://www.openstreetmap.org/">OpenStreetMap</a> contributors'
                layer-type="base"
                name="OpenStreetMap"
              />
              <LMarker :lat-lng="[45.90853, 6.14538]" />
            </LMap>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>
